Subject: Re: bug#21397: 24.5; outline-minor-mode / python-mode: hides decorator

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Sep 2015 11:15:15 -0400

> When I hide the body of a method, everything until the next "def ..."
> line is hidden, including decorators which might belong to that next def
> line.  See the following example:

That's a missing feature in outline-minor-mode, actually.
The same need shows up in Elisp where it's common to write

   ;; Blabla
   (defun blibli ...)

I've had this in my (write-mostly) todo list for quite a while, but I'm
pretty sure I won't get to it before someone else does.

        Stefan